# $Revision: 1.23 $, $Date: 2012/03/23 19:20:51 $
Summary:	setxkbmap application - set the keyboard using the X Keyboard Extension
Summary(pl.UTF-8):	Aplikacja setxkbmap - konfiguracja klawiatury przy użyciu rozszerzenia X Keyboard
Name:		xorg-app-setxkbmap
Version:	1.3.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/setxkbmap-%{version}.tar.bz2
# Source0-md5:	1001771344608e120e943a396317c33a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The setxkbmap command maps the keyboard to use the layout determined
by the options specified on the command line.

An XKB keymap is constructed from a number of components which are
compiled only as needed.

%description -l pl.UTF-8
Polecenie setxkbmap odwzorowuje klawiaturę zgodnie z układem
określonym opcjami podanymi z linii poleceń.

Mapa klawiatury XKB jest konstruowana z wielu składników, które są
kompilowane tylko w razie potrzeby.

%prep
%setup -q -n setxkbmap-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/setxkbmap
%{_mandir}/man1/setxkbmap.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-setxkbmap.spec,v $
Revision 1.23  2012/03/23 19:20:51  qboosh
- updated to 1.3.0

Revision 1.22  2011/01/29 00:07:48  sparky
- dropped pre-cvs changelog

Revision 1.21  2010/09/24 07:20:31  qboosh
- updated to 1.2.0

Revision 1.20  2009/10/09 21:29:15  qboosh
- updated util-macros version

Revision 1.19  2009/07/09 05:21:23  arekm
- up to 1.1.0

Revision 1.18  2007/07/24 06:11:08  arekm
- up to 1.0.4

Revision 1.17  2007/04/30 22:45:38  qboosh
- informative descs

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/12/04 18:14:57  arekm
- xkbdata is deprecated in xorg 7.2

Revision 1.13  2006/11/02 12:43:12  qboosh
- updated to 1.0.3

Revision 1.12  2006/10/15 14:22:40  qboosh
- more verbose files
- R: xkbdata

Revision 1.11  2006/03/10 13:57:05  freetz
- 1.0.2, switched to 'individual' dir

Revision 1.10  2006/01/12 13:24:03  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/09 12:15:53  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 21:07:55  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 14:57:31  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
